package com.cusc.nirvana.user.rnr.fp.common.cloud;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

@RefreshScope
@Component
public class CloudConstant {

    public static String ORGID = "orgId";

    private String HOST;

    private String VERSION;

    private String APPID;

    private String APPSCRET;

    private String ENCRYPT_KEY;

    private String DECRYPT_KEY;

    public String getAPPID() {
        return APPID;
    }

    @Value("${rnr.cloud.appid}")
    public void setAPPID(String APPID) {
        this.APPID = APPID;
    }

    public String getAPPSCRET() {
        return APPSCRET;
    }

    @Value("${rnr.cloud.appsecret}")
    public void setAPPSCRET(String APPSCRET) {
        this.APPSCRET = APPSCRET;
    }

    public String getHOST() {
        return HOST;
    }

    @Value("${rnr.cloud.host}")
    public void setHOST(String HOST) {
        this.HOST = HOST;
    }

    public String getVERSION() {
        return VERSION;
    }

    @Value("${rnr.cloud.version:1.0.0}")
    public void setVERSION(String VERSION) {
        this.VERSION = VERSION;
    }

    @Value("${rnr.cloud.encrypt}")
    public void setENCRYPT_KEY(String ENCRYPT_KEY) {
        this.ENCRYPT_KEY = ENCRYPT_KEY;
    }

    @Value("${rnr.cloud.decrypt}")
    public void setDECRYPT_KEY(String DECRYPT_KEY) {
        this.DECRYPT_KEY = DECRYPT_KEY;
    }

    public String getENCRYPT_KEY() {
        return ENCRYPT_KEY;
    }

    public String getDECRYPT_KEY() {
        return DECRYPT_KEY;
    }
}
